Subject: Offline Message from Luis Asencio: Hi, i own 2 Swagtron eb5 and both need the
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Wed, 06 Apr 2022 23:20:30 -0000

From: Luis Asencio <[email-masked]>
Phone: 3474470878
Location: Santo Domingo Este, Dominican Republic
URL: https://swagtron.com/
Department: SwagTron

Hi, i own 2 Swagtron eb5 and both need the 36V motor controllers. I’ve been looking for them on the internet for months, I even tried other controllers and none of them work on this bikes. I’m reaching out to you because i would like to know if I can purchase 2 controllers directly from you. That would be great. Thanks!

----
Zopim
https://www.zopim.com